<?php
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);
require_once("class/class.bbdd.php");
$bbdd = new BBDD();

//Resposta per defecte (Negativa)
$response["success"] = "0";  
$response["message"] = "No s'ha pogut eliminar la llista de compra.";	

//Valida i adapta els paràmetres necessris
$listCode = $bbdd->checkParameter('listCode',true);

//Comprova que s'hagin validat els paràmetres
if ($listCode !== 0) {
	//Comprova si existeix una llista amb el codi introduït
	$exist = $bbdd->selectUnique("count(*)","Lists","listIden = '".$listCode."'");	
	if($exist) {
		//Selecciona els ingredients que estan en la llista i que no estan en una recepta
		$ingrList = $bbdd->select("inliIngredient as ingrIden","IngredientsLists","inliList = '".$listCode."' AND NOT inliIngredient IN (SELECT inreIngr FROM IngredientsRecipes)");		
		//Elimina tots els ingredients de la llista que no estan en ninguna recepta
		if(mysqli_num_rows($ingrList)) {
			while($row = mysqli_fetch_object($ingrList)) {
				$ingrIden = $row->ingrIden;
				$result = $bbdd->delete("Ingredients","ingrIden = '".$ingrIden."'");
			}
		}
		
		//Elimina la llista
		$result = $bbdd->delete("Lists","listIden = '".$listCode."'");
	}
	
	//Comprova que el resultat de l'operació sigui correcte
	if (isset($result) && $result) {
		$response["success"] = "1";
		$response["message"] = "Llista eliminada";
	} 
} 

//Retorna els resultats en Json 
echo json_encode($response,JSON_UNESCAPED_UNICODE);  
?>